For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.genai.list_evaluation_datasets(
dataset_type="EVALUATION_DATASET_TYPE_UNKNOWN",
)
Returns JSONRaises HttpResponseError
Description
To list evaluation datasets, send a GET request to /v2/gen-ai/evaluation_datasets.
Parameters
dataset_type string optional
Filter by evaluation dataset type.
One of: EVALUATION_DATASET_TYPE_UNKNOWN, EVALUATION_DATASET_TYPE_ADK, EVALUATION_DATASET_TYPE_NON_ADK, EVALUATION_DATASET_TYPE_MODEL
Default: EVALUATION_DATASET_TYPE_UNKNOWN
Response Example
Show Response Example
{
"evaluation_datasets": [
{
"created_at": "2023-01-01T00:00:00Z",
"dataset_name": "example name",
"dataset_type": "EVALUATION_DATASET_TYPE_UNKNOWN",
"dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"file_size": "12345",
"has_ground_truth": true,
"row_count": 123
}
]
}
See /v2/gen-ai/evaluation_datasets in the API reference for additional detail on responses, headers, parameters, and more.